#!/usr/bin/env python3

import subprocess
import numpy as np
from astropy.io import fits

def main():

    f = open("most.dat", "r")

    f2 = open("Lc_most.dat", "w")
    f2.write("# JD (barycentric, TDB) & flux_V [mag] & sigma [mag] & dataset\n")

    for line in f.readlines():
        if line[0:1] == '#': 
            continue
        l = line.split()
        jd = float(l[0])
        mag = float(l[1])
        sigma_mag = 0.01
        i = 1

#        mag = -2.5*np.log10(flux/calibration_flux)
#        sigma_mag = mag + 2.5*np.log10((flux+sigma)/calibration_flux)

        f2.write("%.8f  %.8e  %.8e  %d\n" % (jd, mag, sigma_mag, i))

    f.close()
    f2.close()

if __name__ == "__main__":
    main()

