#!/usr/bin/gawk -f

BEGIN{
  pi = 3.1415926535;
  OFMT="%22.16f";
}
!/^#/ && (NF>0){
  i++;
  f[i] = $1;
  A[i] = $7;
  phi[i] = $10;
}
END{
  n = i;
  m = 5000;
  t1 = 2456278.5545;
  t2 = 2456300.5016;

#  P = 5.732436;  # delta Ori A
#  P = 0.074;     # MOST orbital
#  P = 1.0;
  fac = 1.0;
#  n = 1;
  t0 = t1;
  t0 = 0.0;

  print "# n = ", n
  print "# t1 = ", t1
  print "# t2 = ", t2

  for (j=0; j<=m; j++) {
    t = t1 + (t2-t1)/m*j;
    val = 0.0;
    for (i=1; i<=n; i++) {
#      val = val + A[i]*sin(fac*2.*pi*(f[i]*(t-t0)/P+phi[i]));
#      val = val + A[i]*sin(2.*pi*(f[i]*t+phi[i]));
      val = val + A[i]*sin(2.*pi*(f[i]*t-phi[i]));
    }  
    print t, val;
  }
}

