#!/usr/bin/gnuplot

JD0 = 2457733.83207
P = 5.732436
#P = x_param4

f1(x) = x > 0.0 ? x : x+1.0
frac(x) = f1(x-int(x))
phase(jd) = frac((jd-JD0)/P)

set xl "JD-2400000"
set yl "m [mag]"

set yr [:] reverse

duration = 0.1164
phase_1 = 0.0
phase_2 = 0.4452

set arrow from phase_1+duration/2,graph 0 rto 0,graph 1 nohead lt 0
set arrow from phase_1-duration/2+1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from phase_2-duration/2,graph 0 rto 0,graph 1 nohead lt 0
set arrow from phase_2+duration/2,graph 0 rto 0,graph 1 nohead lt 0
set arrow from graph 0,first 2.25 rto graph 1,first 0 nohead lt 0

p "most.dat" u (phase($1)):2 w lp

pa -1


